ru.bitel.bgbilling.modules.inet.api.common.service

## Interface InetLogManagementService

-     public interface InetLogManagementService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `inetAddCreateSessions(java.lang.Integer deviceId, java.util.List<java.util.Date> days)`
    `void` | `inetAddProcessLogs(java.lang.Integer deviceId, java.util.List<java.util.Date> days)`
    `void` | `inetDeleteCreateSessions(java.lang.Integer deviceId, java.util.List<java.util.Date> days)`
    `void` | `inetDeleteProcessLogs(java.lang.Integer deviceId, java.util.List<java.util.Date> days)`
    `Result` | `inetLogExist(java.lang.Integer deviceId, java.util.Date month)`
    `java.util.List<DataProcessRecord>` | `inetLogLoading(java.lang.Integer deviceId, java.util.Date month)`
    `java.util.List<DataProcessRecord>` | `inetLogSessionCreating(java.lang.Integer deviceId, java.util.Date month)`

- - ### Method Detail

    - #### inetLogExist

          Result inetLogExist(java.lang.Integer deviceId,
                              java.util.Date month)
                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetLogLoading

          java.util.List<DataProcessRecord> inetLogLoading(java.lang.Integer deviceId,
                                                           java.util.Date month)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetAddProcessLogs

          void inetAddProcessLogs(java.lang.Integer deviceId,
                                  java.util.List<java.util.Date> days)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetDeleteProcessLogs

          void inetDeleteProcessLogs(java.lang.Integer deviceId,
                                     java.util.List<java.util.Date> days)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetAddCreateSessions

          void inetAddCreateSessions(java.lang.Integer deviceId,
                                     java.util.List<java.util.Date> days)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetDeleteCreateSessions

          void inetDeleteCreateSessions(java.lang.Integer deviceId,
                                        java.util.List<java.util.Date> days)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetLogSessionCreating

          java.util.List<DataProcessRecord> inetLogSessionCreating(java.lang.Integer deviceId,
                                                                   java.util.Date month)
                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`